curl --request POST \
--url https://api.jtl-cloud.com/erp/v1/delivery/deliver \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"PicklistIds": [
123
],
"DeliveryPackage": [
{
"SalesOrderId": 123,
"ShippingMethodId": 123,
"Weight": 123,
"ShippingDate": "2023-11-07T05:31:56Z",
"TrackingId": "<string>",
"EnclosedReturnIdentCode": "<string>",
"Note": "<string>"
}
],
"IsPartialDelivery": true,
"DeliverOptions": {
"IsDelilveryNotePerWarehouse": true,
"IsSetDispatch": true,
"IsCreateInvoice": true,
"IsInvoiceForOnlySendItems": true
},
"DeliveryPositionNotes": [
{
"SalesOrderPositionId": 123,
"Note": "<string>"
}
],
"DeliverySerialNumbers": [
{
"SerialNumber": "<string>",
"PickpositionId": 123,
"Description1": "<string>",
"Description2": "<string>"
}
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/v1/delivery/deliver"
payload = {
"PicklistIds": [123],
"DeliveryPackage": [
{
"SalesOrderId": 123,
"ShippingMethodId": 123,
"Weight": 123,
"ShippingDate": "2023-11-07T05:31:56Z",
"TrackingId": "<string>",
"EnclosedReturnIdentCode": "<string>",
"Note": "<string>"
}
],
"IsPartialDelivery": True,
"DeliverOptions": {
"IsDelilveryNotePerWarehouse": True,
"IsSetDispatch": True,
"IsCreateInvoice": True,
"IsInvoiceForOnlySendItems": True
},
"DeliveryPositionNotes": [
{
"SalesOrderPositionId": 123,
"Note": "<string>"
}
],
"DeliverySerialNumbers": [
{
"SerialNumber": "<string>",
"PickpositionId": 123,
"Description1": "<string>",
"Description2": "<string>"
}
]
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
PicklistIds: [123],
DeliveryPackage: [
{
SalesOrderId: 123,
ShippingMethodId: 123,
Weight: 123,
ShippingDate: '2023-11-07T05:31:56Z',
TrackingId: '<string>',
EnclosedReturnIdentCode: '<string>',
Note: '<string>'
}
],
IsPartialDelivery: true,
DeliverOptions: {
IsDelilveryNotePerWarehouse: true,
IsSetDispatch: true,
IsCreateInvoice: true,
IsInvoiceForOnlySendItems: true
},
DeliveryPositionNotes: [{SalesOrderPositionId: 123, Note: '<string>'}],
DeliverySerialNumbers: [
{
SerialNumber: '<string>',
PickpositionId: 123,
Description1: '<string>',
Description2: '<string>'
}
]
})
};
fetch('https://api.jtl-cloud.com/erp/v1/delivery/deliver', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"SplitOrders": [
123
],
"NewOrders": [
123
],
"NewPicklists": [
123
],
"NewDeliveryNotes": [
123
],
"ProcessedPicklists": [
123
],
"DeliveredOrders": [
123
],
"NewSupplierOrders": [
123
],
"NewFulfillmentOrders": [
123
]
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Deliver Sales Order
Delivers SalesOrders with the SalesOrderId
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Body
Deliver input model
Model Class: CreateDeliverRequest
Picklist IDs
List of Packages
Show child attributes
Show child attributes
deliver the sales order partially
Options for the delivery
Show child attributes
Show child attributes
the note for the delivery position
Show child attributes
Show child attributes
the serialNumbers of the items
Show child attributes
Show child attributes
Response
Successfully delivered the Sales Orders
Model Class: DeliverResponse
Orders that has been splitted
Newly created orders
Newly created orders
Newly created orders
Newly created orders
Newly created orders
Newly created orders
Newly created orders
Was this page helpful?